CVE-2022-31074

Uncontrolled Resource Consumption in go/github.com/kubeedge/kubeedge

Identifiers

GHSA-w52j-3457-q9wr, CVE-2022-31074

Package Slug

go/github.com/kubeedge/kubeedge

Vulnerability

Uncontrolled Resource Consumption

Description

KubeEdge is an open source system for extending native containerized application orchestration capabilities to hosts at Edge. Prior to versions 1.11.1, 1.10.2, and 1.9.4, several endpoints in the Cloud AdmissionController may be susceptible to a DoS attack if an HTTP request containing a very large Body is sent to it. The consequence of the exhaustion is that the Cloud AdmissionController will be in denial of service. This bug has been fixed in Kubeedge 1.11.1, 1.10.2, and 1.9.4. There is currently no known workaround.

Affected Versions

All versions before 1.9.4, all versions starting from 1.10.0 before 1.10.2, all versions starting from 1.11.0 before 1.11.1

Solution

Upgrade to versions 1.10.2, 1.11.1, 1.9.4 or above.

Last Modified

2022-07-24

source